VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly Class Reference

`Ipv4.IPv4ConfigReadOnly` class Structure that defines the IPv4 configuration state of a network interface. More...

List of all members.

## Public Member Functions
| IPv4ConfigReadOnly ()
| Creates a default new instance.
string | GetInterfaceName ()
| Interface name, for example, "nic0", "nic1".
void | SetInterfaceName (string interfaceName)
| Interface name, for example, "nic0", "nic1".
vmware.appliance.techpreview.networking.Ipv4Types.IPv4Mode | GetMode ()
| Address assignment mode.
void | SetMode (vmware.appliance.techpreview.networking.Ipv4Types.IPv4Mode mode)
| Address assignment mode.
string | GetAddress ()
| IPv4 address, for example, "10.20.80.191".
void | SetAddress (string address)
| IPv4 address, for example, "10.20.80.191".
long | GetPrefix ()
| IPv4 CIDR prefix, for example , 24.
void | SetPrefix (long prefix)
| IPv4 CIDR prefix, for example , 24.
string | GetDefaultGateway ()
| IPv4 address of the default gateway.
void | SetDefaultGateway (string defaultGateway)
| IPv4 address of the default gateway.
bool | GetUpdateable ()
| This indicates if the network configuration can be updated for the interface.
void | SetUpdateable (bool updateable)
| This indicates if the network configuration can be updated for the interface.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Ipv4.IPv4ConfigReadOnly` class Structure that defines the IPv4 configuration state of a network interface.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::IPv4ConfigReadOnly | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::GetAddress | ( |  | ) | `[inline]`

IPv4 address, for example, "10.20.80.191".

Set this argument to an empty string "", if the mode is "unconfigured" or "dhcp".

string vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::GetDefaultGateway | ( |  | ) | `[inline]`

IPv4 address of the default gateway.

This default gateway value is used if the mode argument is set to "static" This configures the global default gateway on the appliance with the specified gateway address and interface. This gateway replaces the existing default gateway configured on the appliance. However, if the gateway address is link-local, then it is added for that interface. This does not support configuration of multiple global default gateways through different interfaces.

override int vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::GetInterfaceName | ( |  | ) | `[inline]`

Interface name, for example, "nic0", "nic1".

vmware.appliance.techpreview.networking.Ipv4Types.IPv4Mode vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::GetMode | ( |  | ) | `[inline]`

Address assignment mode.

long vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::GetPrefix | ( |  | ) | `[inline]`

IPv4 CIDR prefix, for example , 24.

See http://www.oav.net/mirrors/cidr.html for netmask-to-prefix conversion. Set this argument to 0 if the mode is "unconfigured" or "dhcp".

bool vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::GetUpdateable | ( |  | ) | `[inline]`

This indicates if the network configuration can be updated for the interface.

void vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::SetAddress | ( | string | address | ) | `[inline]`

IPv4 address, for example, "10.20.80.191".

Set this argument to an empty string "", if the mode is "unconfigured" or "dhcp".

void vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::SetDefaultGateway | ( | string | defaultGateway | ) | `[inline]`

IPv4 address of the default gateway.

This default gateway value is used if the mode argument is set to "static" This configures the global default gateway on the appliance with the specified gateway address and interface. This gateway replaces the existing default gateway configured on the appliance. However, if the gateway address is link-local, then it is added for that interface. This does not support configuration of multiple global default gateways through different interfaces.

void vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::SetInterfaceName | ( | string | interfaceName | ) | `[inline]`

Interface name, for example, "nic0", "nic1".

void vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::SetMode | ( | vmware.appliance.techpreview.networking.Ipv4Types.IPv4Mode | mode | ) | `[inline]`

Address assignment mode.

void vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::SetPrefix | ( | long | prefix | ) | `[inline]`

IPv4 CIDR prefix, for example , 24.

See http://www.oav.net/mirrors/cidr.html for netmask-to-prefix conversion. Set this argument to 0 if the mode is "unconfigured" or "dhcp".

void vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::SetUpdateable | ( | bool | updateable | ) | `[inline]`

This indicates if the network configuration can be updated for the interface.

override string vmware::appliance::techpreview::networking::Ipv4Types::IPv4ConfigReadOnly::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- Ipv4Types.cs